Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class PushContextImpl

    java.lang.Object
      org.richfaces.application.push.impl.PushContextImpl

All Implemented Interfaces:
  EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, org.richfaces.application.push.PushContext

    public class PushContextImpl

extends Object
implements org.richfaces.application.push.PushContext, javax.faces.event.SystemEventListener

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.application.push.PushContext
`INSTANCE_KEY_NAME`

Constructor Summary
`PushContextImpl(String pushHandlerUrl)`

Method Summary
`void` | `destroy()`
`String` | `getPushHandlerUrl()`
`org.richfaces.application.push.SessionFactory` | `getSessionFactory()`
`org.richfaces.application.push.SessionManager` | `getSessionManager()`
`org.richfaces.application.push.TopicsContext` | `getTopicsContext()`
`void` | `init(javax.faces.context.FacesContext facesContext)`
`boolean` | `isListenerForSource(Object source)`
`void` | `processEvent(javax.faces.event.SystemEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushContextImpl

    public PushContextImpl(String pushHandlerUrl)

Method Detail

### init

    public void init(javax.faces.context.FacesContext facesContext)

  Specified by:
    `init` in interface `org.richfaces.application.push.PushContext`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.richfaces.application.push.PushContext`

### processEvent

    public void processEvent(javax.faces.event.SystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.SystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### isListenerForSource

    public boolean isListenerForSource(Object source)

  Specified by:
    `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

### getTopicsContext

    public org.richfaces.application.push.TopicsContext getTopicsContext()

  Specified by:
    `getTopicsContext` in interface `org.richfaces.application.push.PushContext`

### getSessionFactory

    public org.richfaces.application.push.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `org.richfaces.application.push.PushContext`

### getSessionManager

    public org.richfaces.application.push.SessionManager getSessionManager()

  Specified by:
    `getSessionManager` in interface `org.richfaces.application.push.PushContext`

### getPushHandlerUrl

    public String getPushHandlerUrl()

  Specified by:
    `getPushHandlerUrl` in interface `org.richfaces.application.push.PushContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.